GrailsPrintWriterAdapter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class GrailsPrintWriterAdapter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriterAdapter

All Implemented Interfaces:
  GrailsWrappedWriter

    public class GrailsPrintWriterAdapter
    extends java.io.PrintWriter

Authors:
  Lari Hotari

Since:
  2.0

Field Summary
`protected GrailsPrintWriter` | `target`

Constructor Summary
`GrailsPrintWriterAdapter(java.io.Writer wrapped)`

Method Summary
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`java.io.PrintWriter` | `append(java.lang.Object obj)`
`void` | `append(StreamCharBuffer otherBuffer)`
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`java.io.Writer` | `getOut()`
`GrailsPrintWriter` | `getTarget()`
`protected void` | `handleIOException(java.io.IOException e)`
`boolean` | `isAllowUnwrappingOut()`
`protected boolean` | `isTrouble()`
`boolean` | `isUsed()`
`GrailsPrintWriter` | `leftShift(java.lang.Object value)`
`GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
`GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
`void` | `markUsed()`
`static GrailsPrintWriterAdapter` | `newInstance(java.io.Writer wrapped)`
`GrailsPrintWriter` | `plus(java.lang.Object value)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(float f)`
`void` | `print(double d)`
`void` | `print(char[] s)`
`void` | `print(StreamCharBuffer otherBuffer)`
`void` | `print(groovy.lang.Writable writable)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(float f)`
`void` | `println(double d)`
`void` | `println(char[] c)`
`void` | `println(java.lang.String s)`
`void` | `println(java.lang.Object o)`
`void` | `println(StreamCharBuffer otherBuffer)`
`boolean` | `resetUsed()`
`void` | `setError()`
`void` | `setTarget(java.io.Writer wrapped)`
`void` | `setUsed(boolean newUsed)`
`java.io.Writer` | `unwrap()`
`void` | `write(java.lang.String s)`
`void` | `write(int c)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(java.lang.String s, int off, int len)`
`void` | `write(char[] buf)`
`void` | `write(StreamCharBuffer otherBuffer)`
`void` | `write(groovy.lang.Writable writable)`

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(int), java.io.PrintWriter#println(long), java.io.PrintWriter#println(float), java.io.PrintWriter#println(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#write(int), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#print(double), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print([C), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Field Detail

### target

    protected GrailsPrintWriter target

Constructor Detail

### GrailsPrintWriterAdapter

    public GrailsPrintWriterAdapter(java.io.Writer wrapped)

Method Detail

### append

    @java.lang.Override
    public java.io.PrintWriter append(char c)

### append

    @java.lang.Override
    public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @java.lang.Override
    public java.io.PrintWriter append(java.lang.CharSequence csq)

### append

    public java.io.PrintWriter append(java.lang.Object obj)

### append

    public void append(StreamCharBuffer otherBuffer)

### checkError

    @java.lang.Override
    public boolean checkError()

### close

    @java.lang.Override
    public void close()

### flush

    @java.lang.Override
    public void flush()

### getOut

    public java.io.Writer getOut()

### getTarget

    public GrailsPrintWriter getTarget()

### handleIOException

    protected void handleIOException(java.io.IOException e)

### isAllowUnwrappingOut

    public boolean isAllowUnwrappingOut()

### isTrouble

    protected boolean isTrouble()

### isUsed

    public boolean isUsed()

### leftShift

    public GrailsPrintWriter leftShift(java.lang.Object value)

### leftShift

    public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

### leftShift

    public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

### markUsed

    public void markUsed()

### newInstance

    public static GrailsPrintWriterAdapter newInstance(java.io.Writer wrapped)

### plus

    public GrailsPrintWriter plus(java.lang.Object value)

### print

    @java.lang.Override
    public void print(java.lang.Object obj)

### print

    @java.lang.Override
    public void print(java.lang.String s)

### print

    @java.lang.Override
    public void print(boolean b)

### print

    @java.lang.Override
    public void print(char c)

### print

    @java.lang.Override
    public void print(int i)

### print

    @java.lang.Override
    public void print(long l)

### print

    @java.lang.Override
    public void print(float f)

### print

    @java.lang.Override
    public void print(double d)

### print

    @java.lang.Override
    public void print(char[] s)

### print

    public void print(StreamCharBuffer otherBuffer)

### print

    public void print(groovy.lang.Writable writable)

### println

    @java.lang.Override
    public void println()

### println

    @java.lang.Override
    public void println(boolean b)

### println

    @java.lang.Override
    public void println(char c)

### println

    @java.lang.Override
    public void println(int i)

### println

    @java.lang.Override
    public void println(long l)

### println

    @java.lang.Override
    public void println(float f)

### println

    @java.lang.Override
    public void println(double d)

### println

    @java.lang.Override
    public void println(char[] c)

### println

    @java.lang.Override
    public void println(java.lang.String s)

### println

    @java.lang.Override
    public void println(java.lang.Object o)

### println

    public void println(StreamCharBuffer otherBuffer)

### resetUsed

    public boolean resetUsed()

### setError

    @java.lang.Override
    public void setError()

### setTarget

    public void setTarget(java.io.Writer wrapped)

### setUsed

    public void setUsed(boolean newUsed)

### unwrap

    public java.io.Writer unwrap()

### write

    @java.lang.Override
    public void write(java.lang.String s)

### write

    @java.lang.Override
    public void write(int c)

### write

    @java.lang.Override
    public void write(char[] buf, int off, int len)

### write

    @java.lang.Override
    public void write(java.lang.String s, int off, int len)

### write

    @java.lang.Override
    public void write(char[] buf)

### write

    public void write(StreamCharBuffer otherBuffer)

### write

    public void write(groovy.lang.Writable writable)

Groovy Documentation